> For the complete documentation index, see [llms.txt](https://docs.idle.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idle.finance/developers/networks-and-codebase/erc-4626-standard.md).

# ERC-4626 standard

Developers > Network and codebase > ERC-4626

### What is the ERC-4626 standard?

The [ERC-4626](https://eips.ethereum.org/EIPS/eip-4626) is a standard interface for yield-bearing tokens.&#x20;

> *The ERC-4626 is a standard to optimize and unify the technical parameters of yield-bearing vaults. It provides a standard API for tokenized yield-bearing vaults that represent shares of a single underlying ERC-20 token. ERC-4626 also outlines an optional extension for tokenized vaults utilizing ERC-20, offering basic functionality for depositing, withdrawing tokens and reading balances* - [Ethereum.org](https://ethereum.org/en/developers/docs/standards/tokens/erc-4626/)

### Why is the ERC-4626 compatibility needed?

Tokenized vaults have a lack of standardization leading to diverse implementation details. Some examples include lending markets, aggregators, and intrinsically interest-bearing tokens. This makes integration difficult at the aggregator or plugin layer for protocols conforming to multiple standards, forcing each protocol to implement its error-prone adapters.

A standard for tokenized vaults will lower the integration effort for yield-bearing vaults while creating more consistent and robust implementation patterns enhancing the DeFi composability capacity. This standard will also reduce the cost of audits to secure their adapters from vulnerabilities.

#### Specs

All ERC-4626 tokenized vaults must implement ERC-20 to represent shares. If a vault is to be non-transferrable, it may revert on calls to `transfer` or `transferFrom`. The ERC-20 operations `balanceOf`, `transfer`, `totalSupply`, etc. operate on the Vault “shares” which represent a claim to ownership on a fraction of the Vault’s underlying holdings.

All ERC-4626 tokenized Vaults must implement ERC-20’s optional metadata extensions. The `name` and `symbol` functions should reflect the underlying token’s `name` and `symbol` in some way.

#### Backward Compatibility <a href="#backwards-compatibility" id="backwards-compatibility"></a>

[EIP-4626](https://github.com/ethereum/EIPs/pull/4626) is fully backward compatible with the ERC-20 standard and has no known compatibility issues with other standards. For production implementations of vaults that do not use ERC-4626, wrapper adapters can be developed and used.

### ERC-4626 compliant contracts

All deployed Best Yield strategies ERC-4626 wrappers can be found [here](/developers/best-yield/deployed-contracts.md#erc-4626-wrappers-for-best-yield-tokens).

All deployed Yield Tranches ERC-4626 wrappers can be found [here.](/developers/yield-tranches/deployed-contracts.md#erc-4626-wrappers-for-tranche-tokens)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.idle.finance/developers/networks-and-codebase/erc-4626-standard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
